Bug 95759 - Comment scrollbars sometimes wrong
Summary: Comment scrollbars sometimes wrong
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrollbars Writer-Comments
  Show dependency treegraph
 
Reported: 2015-11-12 05:42 UTC by Luke Kendall
Modified: 2021-05-23 04:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
zip file with two screen shots (52.05 KB, application/zip)
2015-11-12 05:42 UTC, Luke Kendall
Details
Two screen shots of a simple but badly-wrong scroll bar on a comment (247.84 KB, application/zip)
2015-11-19 05:52 UTC, Luke Kendall
Details
Two sample documents and 4 screenshots showing the errors (791.25 KB, application/zip)
2018-02-25 13:03 UTC, Luke Kendall
Details
Two sample documents and 4 screenshots showing the errors (792.32 KB, application/zip)
2018-02-25 13:19 UTC, Luke Kendall
Details
Two screenshots showing wrong scrollbar position (337.34 KB, application/zip)
2019-05-23 14:22 UTC, Luke Kendall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Kendall 2015-11-12 05:42:27 UTC
Created attachment 120490 [details]
zip file with two screen shots

It is not unusual for the scrollbars on a long comment to be drawn incorrectly, so that it doesn't match the comment text.  Sometimes, IIRC, you can be at the top (or the bottom) of a comment, and the scroll thumb won't be at the matching point in the scrollbar (wrongly indicating that there is more text above or below).

I have a screenshot of the opposite error, where the scroll thumb says it *is* at the bottom, but in fact there was more text below.  I had to use the arrow key to bring the text into view.  I have a screenshot from before and after the arrow use.

I had just scrolled the page into view, and noticed the error.  I had not been editing the comment or that page.
Comment 1 Buovjaga 2015-11-15 15:16:25 UTC
I had to fiddle around with the scrolling and focusing a bit, but finally could repro the thing, where one has to use arrow keys to advance in the comment. I created two (long) comments before managing to repro.

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)
Comment 2 Luke Kendall 2015-11-18 05:43:58 UTC
Actually, I've been using the comment facility an enormous amount the last month or so.  Currently, the redrawing seems to have many bugs.
Examples are:
I've had comments with:
<text, 10 pt>
<blank line, 12 pt>
<text, 10 pt>
-- and if I click on the blank line, the font size is shown to be 12 pt, but if I sweep-select the three paras, the font is not shown as blank (to indicate mixed sizes), but 10.
- If I change the font size of the comment text, the text is mis-drawn horribly (illegible, lots of black), or sometimes just off by 1 pixel vertically, but waving the cursor over it makes it redraw.
- I've typed a word into a comment, and seen it drawn in two places (at the end of a line, and at the start of the next line)
- I've pasted in text from the body of the document, and it has appeared, in the correct font etc. in the comment - then when the comment was Next redrawn, found that it was in a different font to that which it was first rendered with.
- It mixes up input events: when the no. of comments is large, performance drops.  Just now I typed a sentence, and while each character was appearing in the comment, clicked the cursor ready for a following edit at an earlier point: the final words I had previously typed appeared at the mouse insertion point, instead of after the words I had already input.
Comment 3 Luke Kendall 2015-11-19 05:52:28 UTC
Created attachment 120647 [details]
Two screen shots of a simple but badly-wrong scroll bar on a comment

zip file of two screen shots.  Shows before and after grabbing the comment scroll bar to scroll into the supposedly-available area.
Comment 4 Luke Kendall 2015-11-19 05:54:02 UTC
The above is a good example, this time in LO 5.0.3.3.  Clicking in and out of the comment didn't help;  and that large blank area at the bottom isn't real: there was no text there, I couldn't use the arrow key to move down into it.

Scrolling up to the top of the comment though did correct the problem.  See attached before and after scroll screen shots.
Comment 5 QA Administrators 2018-02-25 03:32:00 UTC Comment hidden (obsolete)
Comment 6 Luke Kendall 2018-02-25 13:03:12 UTC
Created attachment 140131 [details]
Two sample documents and 4 screenshots showing the errors

See the deatiled notes in the document 95759-2.odt or the comment for this update.
Comment 7 Luke Kendall 2018-02-25 13:04:21 UTC
Oh - adding an attachment after filling in the comment, wipes the comment.  Good thing I copied the text first, so I can add it back here.

Bug remains in LO 6.0.1.1.
(Version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-GB (en_AU.UTF-8); Calc: group)

See attached files. From the report in 95759-2.odt in the attached .zip file

In a new document, typing two words and then adding the comment, with my intro remark in the comment, was fine.
Then I pasted the text from the LO email into the comment, and it was displayed incorrectly, as per the bug: The comment box grew to fill the whole right margin available, as it should, but the bulk of the comment was empty, although the scroll bar was visible.
See the file LO-95759-1.png  

The comment did not draw correctly when I zoomed the document out a little.  But after zooming out several times, the comment text was finally rendered as it should have been.
Repeating the steps to create the file 95759-2.odt reproduced the error, but this time I simply scrolled the comment’s scrollbar a fraction, and the comment text was drawn correctly.

However, the bug persists.  I then added a 2nd comment (but without text), then clicked instead on the word “confirmers” in the 1st comment.  Instead of showing that text and the insertion point somewhere near or in the word “confirmers”, instead the comment scrolled to some strange location and several words were selected, instead.  See LO-95759-2.png for the screenshot of the file just before clicking onto the word “confirmers”, and LO-95759-3.png for a screenshot of what LO did instead.
Comment 8 Luke Kendall 2018-02-25 13:19:07 UTC
Created attachment 140133 [details]
Two sample documents and 4 screenshots showing the errors

I forgot to save the file 95759-2.odt before zipping the files up.  Re-done.
Comment 9 QA Administrators 2019-02-26 03:47:59 UTC Comment hidden (obsolete)
Comment 10 Luke Kendall 2019-05-23 14:22:01 UTC
Created attachment 151630 [details]
Two screenshots showing wrong scrollbar position

I scrolled and selected a little text in one comment, then clicked into the other comment with a scrollbar, and scrolled around, selected some text.  I kept trying and after a minute the green scrollbar was drawn in the wrong place (CommentScrolls-1.png).

Confirmed in Writer 6.2.3.2

Version: 6.2.3.2
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: x11; 
Locale: en-GB (en_AU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 11 QA Administrators 2021-05-23 04:20:30 UTC
Dear Luke Kendall,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug